Get resident insurance by ID
https://api.propexo.com/v1/resident-insurance/:resident_insurance_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the resident insurance
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
renter-123The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
1789The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for RENTVINE
nullThe external ID of the unit from the integration vendor
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
732The external ID of the lease from the integration vendor
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
123The external ID of the resident from the integration vendor
This is the x_id of the primary resident on the lease.
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
843The insurance provider name
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
Federal FarmThe type of insurance
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
RENTERSThe insurance policy number
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
123456ABCThe date the insurance becomes effective
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
2025-01-01T00:00:00.000ZThe date the insurance expires
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
2026-02-01T00:00:00.000ZThe date the insurance was cancelled
This field will always be null for RENTVINE
nullThe liability amount in cents
This field will always be null for RENTVINE
nullThe raw liability amount string
This field will always be null for RENTVINE
nullAdditional notes about the insurance
This field will always be null for RENTVINE
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RENTVINEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRESMANYARDIYARDI_RESTRENTVINEThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
cmafjtnbs7137671592w5sghl13ntbv3The Propexo unique identifier for the lease
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
cmafjtnbs71376715461q85x9l18cutc1The Propexo unique identifier for the resident
This is the ID of the primary resident on the lease.
| Interface | Method |
|---|---|
| Leases | GET /api/manager/leases/{leaseID} |
cmafjtnbs7137671404n5hx1e17nvrw4Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/resident-insurance/:resident_insurance_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "renter-123",
"x_property_id": "1789",
"x_location_id": null,
"x_unit_id": "732",
"x_lease_id": "123",
"x_resident_id": "843",
"provider": "Federal Farm",
"insurance_type": "RENTERS",
"policy_number": "123456ABC",
"effective_date": "2025-01-01T00:00:00.000Z",
"expiration_date": "2026-02-01T00:00:00.000Z",
"cancellation_date": null,
"liability_amount_in_cents": null,
"liability_amount_raw": null,
"notes": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTVINE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cmafjtnbs7137671592w5sghl13ntbv3",
"lease_id": "cmafjtnbs71376715461q85x9l18cutc1",
"resident_id": "cmafjtnbs7137671404n5hx1e17nvrw4"
}
}